<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<h2>HTML Entities</h2>
	<p><em>Reserved characters in our HTML (e.g. &lt; or &gt; characters that can mix up with HTML code.)</em></p>


	<!-- table - this defines an HTML table
		thead - used to group table header content
		tr - defines table row
		th - defines a table header (naka bold and center by default)
		tbody - used to group table body content
		td - defines a table data element

		colspan - defines the amount of column element will occupy
	 -->
	<table border="1">
		<thead>
			<tr>
				<th colspan="2">Entity</th> 
				<th>Discription</th>
			</tr>
		</thead>

		<tbody>
			<tr>
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>

			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>

			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso Sign</td>
			</tr>

			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>

			<tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotation mark</td>
			</tr>

			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>

			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower tilde</td>
			</tr>

			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>upper tilde</td>
			</tr>

		</tbody>
		
		<!-- tfoot - used to group table footer content -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML entities</th>
			</tr>
		</tfoot>
	</table>

	<br>

	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form.</em></p>

	<!-- form - creates an HTML form to capture user input
		button - creates a button that will submit the form data
	 -->
	 <form action="https://google.com">
	 	
	 	<label for="full_name">Full name:</label> <br>
	 	<input type="text" name="full_name" id="full_name" required><br>

	 	<label for="birth_date">Birth date:</label><br>
	 	<input type="date" name="birth_date" id="birth_date" required><br>

	 	<label for="age">Age:</label><br>
	 	<input type="number" name="age" id="age" required><br>

	 	<label for="gender">Gender:</label><br>
	 	<!-- select - creates a dropdown menu -->
	 	<select name="gender" id="gender">
	 		<option value="Male">Male</option>
	 		<option value="Female">Female</option>
	 	</select><br>

	 	<label for="notes">Notes:</label><br>
	 	<textarea name="notes" rows="5" id="notes"></textarea><br>
	 	<!-- textarea - creates text area. take note sa rows -->

	 	<!-- Radio buttons -->
	 	<label>New user:</label><br>

	 	<input type="radio" name="new_user" id="user-type1" value="yes">
	 	<label for="user-type1">yes</label><br>

	 	<input type="radio" name="new_user" id="user-type2" value="no">
	 	<label for="user-type2">no</label>

	 	<!-- dapat same "name=" attribute para hindi maselect pareho -->

	 	<br><br>

	 	<!-- checkbox - for multiple options -->
	 	<label>Role:</label><br>
	 	<input type="checkbox" name="role1" id="role1" value="developer">
	 	<label for="role1">Develope</label><br>

	 	<input type="checkbox" name="role2" id="role2" value="student">
	 	<label for="role2"> student</label><br>

	 	<input type="checkbox" name="role3" id="role3" value="manager">
	 	<label for="role3">manager</label><br>

	 	<br><br>

	 	<button type="submit">Submit</button>
	 	<button type="reset">Reset</button>

	 </form>

</body>
</html>